VERSION 5.00
Object = "{C215CB9A-0AE1-499F-A101-48B3C370D3DF}#14.0#0"; "ChartPro.ocx"
Begin VB.Form frmMain 
   BackColor       =   &H00F5F5F5&
   Caption         =   "Codejock Bars and Splines Sample"
   ClientHeight    =   8910
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   12885
   LinkTopic       =   "Form1"
   ScaleHeight     =   8910
   ScaleWidth      =   12885
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdPrintPreview 
      Caption         =   "Print Preview"
      Height          =   375
      Left            =   11280
      TabIndex        =   6
      Top             =   120
      Width           =   1455
   End
   Begin VB.ComboBox cmbArgumentScaleType 
      Height          =   315
      Left            =   8520
      Style           =   2  'Dropdown List
      TabIndex        =   5
      Top             =   80
      Width           =   2535
   End
   Begin VB.CheckBox chkReversedYAxis 
      BackColor       =   &H00F5F5F5&
      Caption         =   "Reversed Y Axis"
      Height          =   255
      Left            =   4560
      TabIndex        =   3
      Top             =   120
      Width           =   2055
   End
   Begin VB.CheckBox chkReversedXAxis 
      BackColor       =   &H00F5F5F5&
      Caption         =   "Reversed X Axis"
      Height          =   255
      Left            =   2400
      TabIndex        =   2
      Top             =   120
      Width           =   1935
   End
   Begin VB.CheckBox chkRotateDiagram 
      BackColor       =   &H00F5F5F5&
      Caption         =   "Rotate Diagram"
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   120
      Width           =   1815
   End
   Begin XtremeChartControl.ChartControl ChartControl 
      Height          =   8415
      Left            =   120
      TabIndex        =   0
      Top             =   480
      Width           =   12615
      _Version        =   983040
      _ExtentX        =   22251
      _ExtentY        =   14843
      _StockProps     =   0
   End
   Begin VB.Label lblArgumentScaleType 
      BackColor       =   &H00F5F5F5&
      Caption         =   "Argument Scale Type:"
      Height          =   255
      Left            =   6840
      TabIndex        =   4
      Top             =   120
      Width           =   1815
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Sub AddTitles()
    ChartControl.Content.Titles.Add "Bars and Splines"
    
    'ChartControl.Content.Titles.Add "Bars and Splines Right"
    'ChartControl.Content.Titles.Item(1).Docking = xtpChartDockRight
    
    'ChartControl.Content.Titles.Add "Bars and Splines Left"
    'ChartControl.Content.Titles.Item(2).Docking = xtpChartDockLeft
    
    'ChartControl.Content.Titles.Add "Bars and Splines Bottom"
    'ChartControl.Content.Titles.Item(3).Docking = xtpChartDockBottom
    
    'ChartControl.Content.Titles.Add "Bars and Splines Bottom 2"
    'ChartControl.Content.Titles.Item(4).Docking = xtpChartDockBottom
    'ChartControl.Content.Titles.Item(4).Alignment = xtpChartAlignFar
End Sub

Sub AddGeneralMotorsSeries()
    
    Dim Series As ChartSeries
    Set Series = ChartControl.Content.Series.Add("General Motors")
    
    Series.Points.Add 1998, 50
    Series.Points.Add 1999, -100
    Series.Points.Add 2000, 40
    Series.Points.Add 2002, 300
    Series.Points.Add 2010, 200
    
       
    Set ChartControl.Content.Series(0).Style = New ChartBarSeriesStyle

End Sub

Sub AddToyotaSeries()
    
    Dim Series As ChartSeries
    Set Series = ChartControl.Content.Series.Add("Toyota")
    
    Series.Points.Add 1998, -100
    Series.Points.Add 2000, 100
    Series.Points.Add 2002, 150
    Series.Points.Add 2010, -200
       
    Set ChartControl.Content.Series(1).Style = New ChartAreaSeriesStyle

End Sub

Sub AddFordSeries()
    
    Dim Series As ChartSeries
    Set Series = ChartControl.Content.Series.Add("Ford")
    
    Series.Points.Add 1998, 30
    Series.Points.Add 1999, 70
    Series.Points.Add 2000, 190
    Series.Points.Add 2002, 20
    Series.Points.Add 2010, 70
       
    Dim pStyle As ChartSplineSeriesStyle
    Set pStyle = New ChartSplineSeriesStyle
    pStyle.LineStyle.DashStyle = xtpChartDashStyleDash
    'pstyle.Label.Angle = 90
    pStyle.SecondaryAxisY = True
    
    Set ChartControl.Content.Series(2).Style = pStyle

End Sub

Private Sub chkReversedXAxis_Click()
    Dim Diagram As ChartDiagram2D
    Set Diagram = ChartControl.Content.Series(0).Diagram
    
    Diagram.AxisX.Reversed = chkReversedXAxis.Value

End Sub

Private Sub chkReversedYAxis_Click()
    Dim Diagram As ChartDiagram2D
    Set Diagram = ChartControl.Content.Series(0).Diagram
    
    Diagram.AxisY.Reversed = chkReversedYAxis.Value

End Sub

Private Sub chkRotateDiagram_Click()
    Dim Diagram As ChartDiagram2D
    Set Diagram = ChartControl.Content.Series(0).Diagram
    
    Diagram.Rotated = chkRotateDiagram.Value
    
End Sub

Private Sub cmbArgumentScaleType_Click()
    Dim Series As ChartSeries
    For Each Series In ChartControl.Content.Series
        Series.ArgumentScaleType = cmbArgumentScaleType.ListIndex
    Next
End Sub

Private Sub cmdPrintPreview_Click()
    Dim frmPreview As New frmPreview
    
    frmPreview.PrintPreview.PrintView = ChartControl.CreatePrintView
    frmPreview.Show vbModal

End Sub

Private Sub Form_Load()
    
    cmbArgumentScaleType.AddItem "xtpChartScaleQualitative"
    cmbArgumentScaleType.AddItem "xtpChartScaleNumerical"
    cmbArgumentScaleType.ListIndex = 0

    
    AddTitles
    
    ChartControl.Content.Legend.Visible = True
    ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFarOutside
    
    AddGeneralMotorsSeries
    AddToyotaSeries
    AddFordSeries
               
    Dim Diagram As ChartDiagram2D
    Set Diagram = ChartControl.Content.Series(0).Diagram
    
    Diagram.AxisX.Title.Text = "Axis Title"
    Diagram.AxisX.Title.Visible = True
    Diagram.AxisY.Title.Text = "Axis Title"
    Diagram.AxisY.Title.Visible = True
    Diagram.AxisX.Visible = True
                        
    Diagram.AxisX.TickMarks.Visible = True
    Diagram.AxisX.Label.Visible = True
    Diagram.AxisY.Visible = True
    Diagram.AxisY.Alignment = xtpChartAxisNear
    
    Diagram.AxisY.AllowZoom = True
    Diagram.AxisX.AllowZoom = True

    Diagram.AxisY.TickMarks.Visible = True

    'Diagram.AxisY.Reversed = True
    'Diagram.AxisX.Reversed = True

    Diagram.SecondaryAxisY.Visible = True
    Diagram.SecondaryAxisY.Alignment = xtpChartAxisFar
    Diagram.SecondaryAxisY.Title.Text = "Secondary Axis"
    Diagram.SecondaryAxisY.Title.Visible = True
    
    If (Diagram.AxisY.ConstantLines.Count = 0) Then
        Dim Line As ChartAxisConstantLine
        Set Line = Diagram.AxisY.ConstantLines.Add("Market Middian")
        Line.AxisValue = 240
        'line.Style = xtpChartDashStyleDot
    
        Dim Strip As ChartAxisStrip
        Set Strip = Diagram.AxisX.Strips.Add("Current Period")
        'Strip.LegendVisible = False
        Strip.AxisMinValue = "1999"
        Strip.AxisMaxValue = "2000"
    End If
    
    'Diagram.AxisX.CustomLabels.Add "A 1999", "1999"
    'Diagram.AxisX.CustomLabels.Add "B 2010", "2010"
            
End Sub

Private Sub Form_Resize()

    On Error Resume Next
    ChartControl.Move 0, ChartControl.Top, Me.ScaleWidth - 0, Me.ScaleHeight - ChartControl.Top
    
End Sub
